Page MenuHomePhabricator

Enable Extension:StructuredDiscussions in Basque Wikipedia
Closed, ResolvedPublic

Description

We have been discussing the implementation of Extension:LiquidThreads Extension:StructuredDiscussions in Basque Wikipedia, and there is agreement about it: https://eu.wikipedia.org/wiki/Wikipedia:Txokoa#LiquidThreads_gehitzea

Could it be installed?

Thanks!

Details

Related Gerrit Patches:
operations/mediawiki-config : masterAllow sysops to create Flow boards on euwiki
operations/mediawiki-config : masterEnable Flow on euwiki

Event Timeline

Theklan created this task.Mar 23 2018, 10:16 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 23 2018, 10:16 AM
MarcoAurelio added a subscriber: MarcoAurelio.

LiquidThreads are no longer deployed to any Wikimedia sites as per T21699: Deploy LiquidThreads extension when ready (tracking) and https://www.mediawiki.org/wiki/Extension:LiquidThreads. I am afraid we won't be able to process this request.

The suposed alternative is StructuredDiscussions but I'd advice against it. My experience with that has been net negative, is full of issues and you cannot do much of what you can do with wikitext. It's euwiki call however to decide upon that (pero cuidado con los cantos de sirena acerca de las virtudes de flow, pues en mi opinión no tiene ninguna).

Theklan renamed this task from Enable Extension:LiquidThreads in Basque Wikipedia to Enable Extension:StructuredDiscussions in Basque Wikipedia.Mar 23 2018, 10:25 AM
Theklan added a project: StructuredDiscussions.
Theklan updated the task description. (Show Details)

Well, we thought the name was LiquidThreads but not, you are right... we want StructuredDiscussions as other Wikis have. It seems easier for the discussion and new users will find it more engaging.

No changes in the StructuredDiscussions code base needed here, hence removing that project

Urbanecm triaged this task as Medium priority.
Urbanecm added a subscriber: Urbanecm.

Lets do this.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptMar 23 2018, 11:40 AM

Change 421606 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Enable Flow on euwiki

https://gerrit.wikimedia.org/r/421606

Urbanecm moved this task from Backlog to To deploy on the User-Urbanecm board.Mar 23 2018, 7:07 PM
Urbanecm moved this task from Backlog to To deploy on the Wikimedia-Extension-setup board.

Please let me know before enabling the system on which pages you'd like to use it so I can discontinue the bot archiving there to avoid issues. Thanks!

I think most people was thinking about enabling it everywhere... but maybe this is a problem?

I don't think it's a problem. Maybe @Catrope knows better. You can enable Flow by default on some namespaces and you can also enable Flow on some specific pages. This can be configured now or later.

Ok! Let's configure it in Wikipedia, Wikiproject, Portal, Help and User namespaces. And if everything goes fine, it could be enabled later in articles and template namespace.

Wikipedia_talk, Wikiproject_talk, Portal_talk, Help_talk and User_talk then.

Urbanecm added a subscriber: Trizek-WMF.

@Trizek-WMF Maybe you know how to solve this. As I was told by @MarcoAurelio, StructuredDiscussions should be set by Collab.

@Trizek-WMF Maybe you know how to solve this. As I was told by @MarcoAurelio, StructuredDiscussions should be set by Collab.

@Catrope should be able to explain you how to do this.


@Theklan, where have you been discussing enabling Flow on your wiki? I'm asking it to follow the guidelines and archiving those decisions in the rollout table.

Thanks!
That task will be triaged today, then you will know when the deployment can be done.

In the meantime, I advise you to translate the extension. For now, only 19% of Structured Discussions interface messages are in Euskara. I'll leave a message about that on your wiki. :)

@Urbanecm The patch you wrote is OK to deploy. I've scheduled it for deployment in tomorrow's European time SWAT (13:00 UTC).

However, your patch will only enable Flow, not make it the default for any namespaces. That's fine as a first step, but for the second step we'll need to add the namespaces @MarcoAurelio listed above to wmgFlowNamespaces in InitialiseSettings.php. I can do that if you like, but I wanted to give you a chance to do it first, since you assigned this task to yourself. If you want to do it and run into any issues, I'd be happy to help.

Before deploying it effectively, please wait to have more input concerning translations. Volunteers may need a bit more time for that.

Change 421606 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable Flow on euwiki

https://gerrit.wikimedia.org/r/421606

Mentioned in SAL (#wikimedia-operations) [2018-03-28T13:18:29Z] <catrope@tin> Synchronized dblists/flow.dblist: Enable Flow on euwiki (T190500) (duration: 01m 17s)

Before deploying it effectively, please wait to have more input concerning translations. Volunteers may need a bit more time for that.

Sorry for missing this comment before I deployed this :(

Structured Discussions is now enabled, but not the default in any namespace yet, and there's no beta feature for users. Admins can create SD boards using Special:EnableStructuredDiscussions. So it's probably best if they only create a test board, and otherwise wait until translations are completed.

@Catrope, that's not a big deal. :)
I'll suggest your idea.

Thanks. Once they have translations in place and are generally happy with things, we can enable the beta feature and/or convert entire namespaces.

Yep, a test page for starters would be a good idea. @Theklan do you have in mind a page title we can use to test the feature there? Thanks.

Maybe the best solution would be testing in Wikipedia:Txokoa, our village pump.

Maybe the best solution would be testing in Wikipedia:Txokoa, our village pump.

I've suggested [[Wikipedia eztabaida:Structured discussions]] , but you decide. :)

Urbanecm removed Urbanecm as the assignee of this task.Apr 7 2018, 12:30 PM
Trizek-WMF assigned this task to Catrope.Apr 9 2018, 6:05 PM

https://eu.wikipedia.org/wiki/Berezi:EnableStructuredDiscussions is not working for admins on Basque Wikipedia. @Catrope, while you've doing the deployment there, can you check for it?

Change 425594 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] Allow sysops to create Flow boards on euwiki

https://gerrit.wikimedia.org/r/425594

@Trizek-WMF This is because current configuration only allows sysops to do so either when a) Flow is a Beta opt-in feature and/or b) Flow is set in an entire namespace. The euwiki is not in any of those situations so the only solution is to grant them individually the permission.

@Trizek-WMF This is because current configuration only allows sysops to do so either when a) Flow is a Beta opt-in feature and/or b) Flow is set in an entire namespace. The euwiki is not in any of those situations so the only solution is to grant them individually the permission.

Thanks for linking that bit of CommonSettings.php, I'd actually forgotten that was there :)

Change 425594 merged by jenkins-bot:
[operations/mediawiki-config@master] Allow sysops to create Flow boards on euwiki

https://gerrit.wikimedia.org/r/425594

Mentioned in SAL (#wikimedia-operations) [2018-04-11T23:19:44Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Allow sysops to create Flow boards on euwiki (T190500) (duration: 01m 17s)

Admins should be able to create boards now.

I'm following up with that community to know is the request has been adressed.

Theklan closed this task as Resolved.Jun 14 2018, 3:09 PM

Yes, it's solved!